
extern "C" 
{
	SAttributeReadWriteOptions* Irr_SAttributeReadWriteOptions_new()
	{
		return new SAttributeReadWriteOptions();
	}
	
	void Irr_SAttributeReadWriteOptions_del(SAttributeReadWriteOptions* rwo)
	{
		if (rwo) delete rwo;
	}
	
	s32 Irr_SAttributeReadWriteOptions_getFlags(SAttributeReadWriteOptions* rwo)
	{
		if (rwo)
			return rwo->Flags;
		else return -1;
	}

	void Irr_SAttributeReadWriteOptions_setFlags(SAttributeReadWriteOptions* rwo,s32 flags)
	{
		if (rwo)
			rwo->Flags=flags;
	}	
	
	const char* Irr_SAttributeReadWriteOptions_getFilename(SAttributeReadWriteOptions* rwo)
	{
		if (rwo)
			return rwo->Filename;
		else return 0;
	}
	
	void Irr_SAttributeReadWriteOptions_setFilename(SAttributeReadWriteOptions* rwo,const char* filename)
	{
		if (rwo)
			rwo->Filename=filename;
	}	
}

